## Publications

* Rigger, M.; Grimmer, M.; Wimmer, C.; Würthinger, T.; Mössenböck, H.:<br>
[Bringing Low-Level Languages to the JVM: Efficient Execution of LLVM IR on Truffle](http://conf.researchr.org/event/vmil2016/vmil2016-bringing-low-level-languages-to-the-jvm-efficient-execution-of-llvm-ir-on-truffle)<br>
Workshop on Virtual Machines and Intermediate Languages (VMIL'16),
Amsterdam, Netherlands, Oct. 31, 2016 (accepted for publication)<br>

* Rigger, M.:<br>
[Sulong: Memory Safe and Efficient Execution of LLVM-Based Languages](http://2016.ecoop.org/track/ecoop-2016-doctoral-symposium)<br>
ECOOP 2016 Doctoral Symposium, July 18, 2016, Rome, Italy<br>
[Download paper](http://ssw.jku.at/General/Staff/ManuelRigger/ECOOP16-DS.pdf)

* Rigger, M.; Grimmer, M.; Mössenböck, H.:<br>
[Sulong - Execution of LLVM-Based Languages on the JVM](http://2016.ecoop.org/event/icooolps-2016-sulong-execution-of-llvm-based-languages-on-the-jvm)<br>
Int. Workshop on Implementation, Compilation, Optimization of
Object-Oriented Languages, Programs and Systems (ICOOOLPS'16),
July 18, 2016, Rome, Italy, (accepted for publication)<br>
[Download paper](http://2016.ecoop.org/event?action-call-with-get-request-type=1&action2130960991518b7028a4055ff711ea5fc5c3395d1b0-b717-403e-aa7f-b592d9e4a8e8=1&__ajax_runtime_request__=1&context=ecoop-2016&event=icooolps-2016-sulong-execution-of-llvm-based-languages-on-the-jvm)

* Kreindl, J.; Rigger, M.; Mössenböck, H.:<br>
[Debugging Native Extensions of Dynamic Languages](http://ssw.jku.at/manlang18)<br>
15th International Conference on Managed Languages & Runtimes (ManLang'18), September 12-14, 2018, Linz, Austria<br>
[Download paper](http://ssw.jku.at/General/Staff/Kreindl/papers/ManLang_2018_SulongDebugging.pdf)

There is also a list of [Graal papers](https://github.com/graalvm/graal-core/blob/master/docs/Publications.md)
and [Graal and Truffle papers](https://wiki.openjdk.java.net/display/Graal/Publications+and+Presentations).

## Presentations

* [Using LLVM and Sulong for Language C Extensions](http://chrisseaton.com/rubytruffle/llvm-cauldron-16/llvm-cauldron-sulong.pdf)<br>
LLVM Cauldron 2016, September 8, 2016, Hebden Bridge, The United Kingdom<br>
[Download slides](http://chrisseaton.com/rubytruffle/llvm-cauldron-16/llvm-cauldron-sulong.pdf)<br>
[Watch video](https://www.youtube.com/watch?v=bJzMfYX6n9A)

* C, C++, and Fortran on the JVM via Sulong<br>
VMM'16, September 2, 2016, Lugano, Switzerland<br>
[Download slides](https://speakerdeck.com/mrigger/vmm-16-c-c-plus-plus-and-fortran-on-the-jvm-via-sulong)

* Sulong: Execution of LLVM-Based Languages on the JVM<br>
ICOOOLPS'16 (LLVM Toolchain devroom), July 18, 2016, Rome, Italy<br>
[Download slides](https://speakerdeck.com/mrigger/icooolps-16-sulong-execution-of-llvm-based-languages-on-the-jvm)

* [Sulong: Fast LLVM IR Execution on the JVM with Truffle and Graal](https://fosdem.org/2016/schedule/event/llvm_sulong/)<br>
FOSDEM'16 (LLVM Toolchain devroom), January 31, 2016, Brussels, Belgium<br>
[Download slides](https://fosdem.org/2016/schedule/event/llvm_sulong/attachments/slides/1205/export/events/attachments/llvm_sulong/slides/1205/Sulong.pdf)
